### Method

# Gtk ConstraintGuide set_strength

#### Declaration [src]

    void
    gtk_constraint_guide_set_strength (
      GtkConstraintGuide* guide,
      GtkConstraintStrength strength
    )

#### Description [src]

Sets the strength of the constraint on the natural size of the given `GtkConstraintGuide`.

Sets property | `Gtk.ConstraintGuide:strength`

#### Parameters

`strength`

  Type: `GtkConstraintStrength`

  The strength of the constraint.